Bug 28416 - Focus moves to editor toolbar when switching files
Focus moves to editor toolbar when switching files
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Unsupported
-S1S-
All All
: P2 (vote)
: TBD
Assigned To: issues@java
issues@java
: A11Y, FOCUS
Depends on: 28263
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-02 01:26 UTC by tkellerer
Modified: 2007-09-26 09:14 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tkellerer 2002-11-02 01:26:31 UTC
When switching from one file to another either by
Alt-Left/Right or by clicking into the target
files' tab, the focus moves to the editor toolbar
and not into the editor itself. Thus the
application isnt't really usable with the
keyboard, as I have to click into the editor to
activate it.

I noticed this with the Q-Builds from 2002-10-17
and 2002-10-30
Comment 1 Jan Lahoda 2002-11-04 09:37:51 UTC
Very probably bug of core/window system. Reassigning.
Comment 2 Peter Zavadsky 2002-11-04 16:07:00 UTC
I don't know how is the toolbar supported. But it is necessary when
transferring focus to TopComponent, the editor pane should be the
default one, not toolbar.
Reassigning.
Comment 3 bht 2002-11-06 06:23:40 UTC
I also get this on Win98 with q-build 200210300100 and JDK 1.4.1.

I did _not_ get it with the 3.4 release, including JDK 1.4.0 and 1.4.1.

Another similar focus issue that I had problems with has been fixed
since the 3.4 release:
25337 "Editor window content loses focus after find command".

    
Comment 4 tkellerer 2002-11-06 08:16:06 UTC
I just noticed that this happens as well, when you jump to the next
compiler error with F11...
Comment 5 bht 2002-11-22 08:00:39 UTC
Please let me suggest to give this a high priority.
I would like that NetBeans looks good but this bug makes it look bad.
A couple of other focus issues have been resolved but this seems to
get worse. I cannot jump to methods in other classes using [Alt+G]
either. This is what an IDE should be doing without any problems. It
appears that often the text does not scroll to the method. If it does
then the focus is in the list box on the toolbar and not on text in
the editor.
I am not doing fancy things with NetBeans. Just the ordinary edit
compile stuff. All that seems to work fine except these annoying focus
issues.
Still hapening badly in q-build 20021120010 with JDK 1.4.1 on Win98
Comment 6 Jesse Glick 2002-11-27 22:37:53 UTC
Workaround: try pressing TAB (some number of times) or Ctrl-3 (once)
after switching files to ensure the text pane has focus.

I agree this is a major usability problem. Observed also on Linux,
MDI, JDK 1.4, Gnome/Sawfish. Note that if you have the toolbar turned
off, there is no longer a problem (see issue #28263).
Comment 7 bht 2002-11-28 03:10:14 UTC
Jesse,
Thanks very much for the Ctrl-3 workaround. That makes my life a lot
easier.
Netbeans is an awsome tool and once again I am very impressed by your
professional response. I appreciate that very much especially because
I could quite easily understand that there is time pressure and other
constraints that you have in your environment.
Comment 8 Svata Dedic 2003-01-07 12:13:33 UTC
Fixed:
/cvs/java/src/org/netbeans/modules/java/JavaEditor.java,v  <-- 
JavaEditor.java
new revision: 1.131; previous revision: 1.130
Comment 9 Jan Becicka 2003-01-21 11:08:57 UTC
VERIFIED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo